| Flutter Impeller |

Public Types | Public Member Functions | Public Attributes | List of all members
impeller::Glyph Struct Reference

The glyph index in the typeface. More...

`#include <glyph.h>`

## Public Types
enum | Type : uint8_t { Type::kPath, Type::kBitmap }

## Public Member Functions
| Glyph (uint16_t p_index, Type p_type, Rect p_bounds)

## Public Attributes
uint16_t | index = 0
Type | type = Type::kPath
| Whether the glyph is a path or a bitmap. More...
Rect | bounds
| Visibility coverage of the glyph in text run space (relative to the baseline, no scaling applied). More...

## Detailed Description

The glyph index in the typeface.

Definition at line 20 of file glyph.h.

## Member Enumeration Documentation

## ◆ Type

enum impeller::Glyph::Type : uint8_t
| strong

Enumerator
kPath |
kBitmap |

Definition at line 21 of file glyph.h.

21 : uint8_t {
22 kPath,
23 kBitmap,
24 };

## Constructor & Destructor Documentation

## ◆ Glyph()

impeller::Glyph::Glyph | ( | uint16_t | p_index,
|  | Type | p_type,
|  | Rect | p_bounds
| ) |  |
| inline

Definition at line 39 of file glyph.h.

40 : index(p_index), type(p_type), bounds(p_bounds) {}

## Member Data Documentation

## ◆ bounds

Rect impeller::Glyph::bounds

Visibility coverage of the glyph in text run space (relative to the baseline, no scaling applied).

Definition at line 37 of file glyph.h.

Referenced by impeller::CanAppendToExistingAtlas(), and impeller::DrawGlyph().

## ◆ index

uint16_t impeller::Glyph::index = 0

Definition at line 26 of file glyph.h.

Referenced by impeller::CanAppendToExistingAtlas(), impeller::DrawGlyph(), std::hash< impeller::Glyph >::operator()(), std::equal_to< impeller::Glyph >::operator()(), std::less< impeller::Glyph >::operator()(), and impeller::testing::TEST_P().

## ◆ type

Type impeller::Glyph::type = Type::kPath

Whether the glyph is a path or a bitmap.

Definition at line 31 of file glyph.h.

Referenced by std::hash< impeller::Glyph >::operator()(), and std::equal_to< impeller::Glyph >::operator()().

The documentation for this struct was generated from the following file:

- impeller/typographer/glyph.h

impeller::Glyph::index
uint16_t index
Definition: glyph.h:26
impeller::Glyph::type
Type type
Whether the glyph is a path or a bitmap.
Definition: glyph.h:31
impeller::Glyph::bounds
Rect bounds
Visibility coverage of the glyph in text run space (relative to the baseline, no scaling applied).
Definition: glyph.h:37